Subject: bug#10483: [PATCH] Fix a bogus test introduced by treating (Bug#10483)

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 06 Oct 2020 03:40:54 +0200

Harald Jörg <[email-masked]> writes:

> The commit 2020-09-04 "Fix infloop when indenting in cperl-mode" for
> (Bug#10483) contained a test to make sure that indenting for some edge
> cases.  This test 'cperl-mode-test-indent-exp' fails unless cperl-mode
> is activated for the buffer.
>
> The attached patch activates cperl-mode, and skips the test under
> perl-mode, and avoids dependency on how inline comments are indented.

Thanks; applied to Emacs 28.

> I couldn't just open a new bug without unarchiving the old one, perhaps
> because I've included the old bug number.  Please tell me if it is
> better to treat such follow-ups as entirely new bugs.

Opening a new bug report would be better, I think, and just refer back
to the previous bug report in the text.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no